.centered-content {
    display: flex;
    flex-direction: column;
    justify-content: center; /* Vertikal zentrieren */
    align-items: center; /* Horizontal zentrieren */
    height: 100vh; /* 100% der Bildschirmhöhe */
    font-family: Arial;
    background-color: grey, black;
    background: linear-gradient(to bottom, grey, black);

}

/* Allgemeine Stile für den Header */
header {
    display: flex;
    background-color: #003cff; /* Hintergrundfarbe */
    color: #fff; /* Textfarbe */
    padding: 10px 0; /* Innenabstand oben/unten 10px, seitlich 0 */
    font-family: 'Open Sans', sans-serif;
    font-family: 'Roboto', sans-serif;
}

h1 {
    display:flex;
    text-align: center; /* Zentriert den Text horizontal */
    margin: 0 auto; /* Zentriert das Element horizontal innerhalb seines Elterncontainers */
    font-size: 3em;
    padding-left: 3em;
    position: relative;
    align-items: center;
    font-family: 'Roboto', sans-serif;
    font-weight: 600;
    color: #fff; /* Textfarbe des Titels */
    text-decoration: none;
    /* Weitere Stile für den Titel nach Bedarf hinzufügen */
}

a {
    text-decoration: none;
}

.header-bar {
    max-width: 1200px; /* Maximale Breite des Headers */
    margin: 0 auto; /* Zentriert den Header horizontal */
    display: flex; /* Verwendet Flexbox zur Anordnung der Elemente */
    justify-content: space-between; /* Platziert die Elemente am Anfang und Ende */
    align-items: center; /* Zentriert Elemente vertikal */
}

/* Stile für das Logo */
.logo a {
    text-decoration: none; /* Entfernt die Unterstreichung der Links */
    color: #fff; /* Textfarbe des Logos */
    font-size: 24px; /* Schriftgröße des Logos */
    font-weight: bold; /* Fetter Text für das Logo */
    
}

/* Stile für die Navigationsleiste */
.nav-links {
    list-style: none; /* Entfernt Listenpunkte */
    padding: 0; /* Entfernt den Innenabstand der Liste */
    display: flex; /* Verwendet Flexbox zur Anordnung der Links */
}

.nav-links li {
    margin-right: 20px; /* Abstand zwischen den Links */
}

.nav-links a {
    text-decoration: none; /* Entfernt die Unterstreichung der Links */
    color: #fff; /* Textfarbe der Links */
}

/* Stile für die Navigationslinks bei Hover */
.nav-links a:hover {
    border-bottom: 2px solid #fff; /* Fügt eine Unterstreichung hinzu */
    cursor: pointer;
}


.centered-content:hover {
    background-color: #e74c3c; /* Farbänderung bei Hover (Beispiel: Rot) */
}

.payment-title {
    width: 100%;
    text-align: center;
}

.form-container .field-container:first-of-type {
    grid-area: name;
}

.form-container .field-container:nth-of-type(2) {
    grid-area: number;
}

.form-container .field-container:nth-of-type(3) {
    grid-area: expiration;
}

.form-container .field-container:nth-of-type(4) {
    grid-area: security;
}

.field-container input {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.field-container {
    position: relative;
}

.form-container {
    display: grid;
    grid-column-gap: 10px;
    grid-template-columns: auto auto;
    grid-template-rows: 90px 90px 90px;
    grid-template-areas: "name name""number number""expiration security";
    max-width: 400px;
    padding: 20px;
    color: #ffffff;

}

label {
    padding-bottom: 5px;
    font-size: 13px;
}

input {
    margin-top: 3px;
    padding: 15px;
    font-size: 16px;
    width: 100%;
    border-radius: 3px;
    border: 1px solid #dcdcdc;
}

.ccicon {
    height: 38px;
    position: absolute;
    right: 6px;
    top: calc(50% - 17px);
    width: 60px;
}

/* CREDIT CARD IMAGE STYLING */
.preload * {
    -webkit-transition: all 0.3s ease; 
    transition: all 0.3s ease;
    -moz-transition: all 03 ease;
    -ms-transition: all 03 ease; 
    -o-transition: all 0.3 ease; 
}

.container {
    width: 100%;
    max-width: 400px;
    max-height: 251px;
    height: 54vw;
    padding: 20px;
}

#ccsingle {
    position: absolute;
    right: 15px;
    top: 20px;
}

#ccsingle svg {
    width: 100px;
    max-height: 60px;
}

.creditcard svg#cardfront,
.creditcard svg#cardback {
    width: 100%;
    -webkit-box-shadow: 1px 5px 6px 0px black;
    box-shadow: 1px 5px 6px 0px black;
    border-radius: 22px;
}

#generatecard{
    cursor: pointer;
    float: right;
    font-size: 12px;
    color: #fff;
    padding: 2px 4px;
    background-color: #000000;
    border-radius: 4px;
    cursor: pointer;
    float:right;
}

/* CHANGEABLE CARD ELEMENTS */
.creditcard .lightcolor,
.creditcard .darkcolor {
    -webkit-transition: fill .5s;
    transition: fill .5s;
}

.creditcard .lightblue {
    fill: #03A9F4;
}

.creditcard .lightbluedark {
    fill: #0288D1;
}

.creditcard .red {
    fill: #ef5350;
}

.creditcard .reddark {
    fill: #d32f2f;
}

.creditcard .purple {
    fill: #ab47bc;
}

.creditcard .purpledark {
    fill: #7b1fa2;
}

.creditcard .cyan {
    fill: #26c6da;
}

.creditcard .cyandark {
    fill: #0097a7;
}

.creditcard .green {
    fill: #66bb6a;
}

.creditcard .greendark {
    fill: #388e3c;
}

.creditcard .lime {
    fill: #d4e157;
}

.creditcard .limedark {
    fill: #afb42b;
}

.creditcard .yellow {
    fill: #ffeb3b;
}

.creditcard .yellowdark {
    fill: #f9a825;
}

.creditcard .orange {
    fill: #ff9800;
}

.creditcard .orangedark {
    fill: #ef6c00;
}

.creditcard .grey {
    fill: #bdbdbd;
}

.creditcard .greydark {
    fill: #616161;
}

/* FRONT OF CARD */
#svgname {
    text-transform: uppercase;
}

#cardfront .st2 {
    fill: #FFFFFF;
}

#cardfront .st3 {
    font-family: 'Source Code Pro', monospace;
    font-weight: 600;
}

#cardfront .st4 {
    font-size: 54.7817px;
}

#cardfront .st5 {
    font-family: 'Source Code Pro', monospace;
    font-weight: 400;
}

#cardfront .st6 {
    font-size: 33.1112px;
}

#cardfront .st7 {
    opacity: 0.6;
    fill: #FFFFFF;
}

#cardfront .st8 {
    font-size: 24px;
}

#cardfront .st9 {
    font-size: 36.5498px;
}

#cardfront .st10 {
    font-family: 'Source Code Pro', monospace;
    font-weight: 300;
}

#cardfront .st11 {
    font-size: 16.1716px;
}

#cardfront .st12 {
    fill: #4C4C4C;
}

/* BACK OF CARD */
#cardback .st0 {
    fill: none;
    stroke: #0F0F0F;
    stroke-miterlimit: 10;
}

#cardback .st2 {
    fill: #111111;
}

#cardback .st3 {
    fill: #F2F2F2;
}

#cardback .st4 {
    fill: #D8D2DB;
}

#cardback .st5 {
    fill: #C4C4C4;
}

#cardback .st6 {
    font-family: 'Source Code Pro', monospace;
    font-weight: 400;
}

#cardback .st7 {
    font-size: 27px;
}

#cardback .st8 {
    opacity: 0.6;
}

#cardback .st9 {
    fill: #FFFFFF;
}

#cardback .st10 {
    font-size: 24px;
}

#cardback .st11 {
    fill: #EAEAEA;
}

#cardback .st12 {
    font-family: 'Rock Salt', cursive;
}

#cardback .st13 {
    font-size: 37.769px;
}

/* FLIP ANIMATION */
.container {
    perspective: 1000px;
}

.creditcard {
    width: 100%;
    max-width: 400px;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    transition: -webkit-transform 0.6s;
    -webkit-transition: -webkit-transform 0.6s;
    transition: transform 0.6s;
    transition: transform 0.6s, -webkit-transform 0.6s;
    cursor: pointer;
}

.creditcard .front,
.creditcard .back {
    position: absolute;
    width: 100%;
    max-width: 400px;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-font-smoothing: antialiased;
    color: #47525d;
}

.creditcard .back {
    -webkit-transform: rotateY(180deg);
    transform: rotateY(180deg);
}

.creditcard.flipped {
    -webkit-transform: rotateY(180deg);
    transform: rotateY(180deg);
}

.kodfun-galeri {
    display: flex;
    justify-content: center;
    height: 20rem;
    width: 40rem;
    gap: 1rem;
    background-color: rgb(34, 31, 31);

}

.kodfun-galeri > div {
    flex: 1;
    border-radius: 1rem;
    background-position: center;
    background-repeat: no-repeat;
    background-size: auto 100%;
    transition: all .8s cubic-bezier(.25, .4, .45, 1.4);
}

.kodfun-galeri > div:hover {
    flex-grow: 5;
    cursor: pointer;
}


/* Allgemeine Stile für den Footer */
footer {
    background-color: #333;
    color: #fff;
    padding: 20px 0;
    text-align: center;
}

/* Container für den Footer-Inhalt */

.footer-content {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: 'Open Sans', sans-serif;
    font-family: 'Roboto', sans-serif;
}

/* Stile für den linken und rechten Bereich */
.left, .right {
    flex-basis: 30%; /* Breite des linken und rechten Bereichs */
}

/* Stile für den zentrierten Bereich */
.center {
    flex-basis: 40%; /* Breite des zentrierten Bereichs */
}

/* Stile für die Zeilen innerhalb der linken und rechten Bereiche */
.left p, .right p {
    margin: 0;
    padding: 5px 0;
}

/* Stile für den Mittelbereich */
.center p {
    margin: 0;
    font-size: 18px;
    font-weight: bold;
}

/* Media Query, um bei kleineren Bildschirmen die Anordnung zu ändern */
@media screen and (max-width: 768px) {
    .footer-content {
        flex-direction: column;
        text-align: center;
    }

    .left, .right, .center {
        flex-basis: auto;
    }
}

button {
    box-shadow: 0 0 5px cyan,
    0 0 25px cyan;
    background-color: cyan(00, 255, 255, 0,7);
    color: #000000; /* Textfarbe des Buttons */
    border: none; /* Entfernt den Rand des Buttons */
    padding: 10px 50px; /* Innenabstand des Buttons */
    border-radius: 5px; /* Runde Ecken für den Button */
}

button:hover {
    background-color: #007bff69;
    color: #000000;
    box-shadow: 0 0 5px cyan,
    0 0 25px cyan, 0 0 50px cyan,
    0 0 100px, cyan, 0 0 200px cyan;
    cursor: pointer;
}

/* Media Queries für Responsive Design */
@media (max-width: 768px) {
    .chat-container {
        max-width: 100%; /* Für Smartphones die volle Breite verwenden */
    }
}